/hardware-rentals-patch-one

Summary

  • Source repository: jef-systems/jef-hardware-backend

  • Source SHA: da55214e1c0cdc1f340e0eaca147285c336498dd

  • Source run id: 25890117162

  • Lambda function: jef-hardware-rentals-patch-one

  • HTTP method: PATCH

  • API path: /hardware-rentals-patch-one

  • Endpoint URL: https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-patch-one

  • Payload mode: json-body

Description

  • Function: jef-hardware-rentals-patch-one

  • Module: jef-hardware

  • Action: patch-one

  • Method: PATCH

  • Invocation Mode: ASYNC

  • Resource Path: /hardware-rentals-patch-one

  • Table: jef-hardware-rentals

  • Primary Key: rental_id

API Gateway Response

  • status\_code: 202

  • message: Request accepted for asynchronous processing.

Payload Example

  • rental\_id: 7543eb36-edad-46bd-84ae-0268f57a07fb

  • store\_id: f80b79c4-749b-4b6f-a851-d53715181f63

  • entity\_number: 1

  • order\_number: 1

  • cashier\_name: 1

  • terminal\_name: 1

  • customer\_id: 15abe94d-fa56-4642-8193-4351c8033a00

  • customer\_code: 1

  • customer\_name: 1

  • customer\_mobile\_number: 1

  • customer\_address: 1

  • customer\_government\_id\_type: 1

  • customer\_government\_id\_number: 1

  • deposit: 1

  • gross\_total: 1

  • total\_due: 1

  • expected\_return\_at: 2026-05-14T22:43:20Z

  • rental\_status: 1

  • print\_status: 1

  • printed\_at: 2026-05-14T22:43:20Z

  • printer\_device\_id: 1

  • printer\_device\_name: 1

  • sync\_status: 1

  • sync\_attempt\_count: 1

  • created\_at: 2026-05-14T22:43:20Z

  • updated\_at: 2026-05-14T22:43:20Z

  • is\_active: True

  • is\_deleted: True

  • deleted\_at: 2026-05-14T22:43:20Z

  • idempotency\_key: 1

  • schema\_version: 1

  • version: 1

  • children.rental\_items\[0\].rental\_item\_id: f3477708-fa98-4f51-8e33-27f77d35dfe2

  • children.rental\_items\[0\].rental\_id: 7543eb36-edad-46bd-84ae-0268f57a07fb

  • children.rental\_items\[0\].store\_id: f80b79c4-749b-4b6f-a851-d53715181f63

  • children.rental\_items\[0\].toolbox\_id: ccb00721-6479-4c14-be47-c021b95aa31a

  • children.rental\_items\[0\].entity\_number: 1

  • children.rental\_items\[0\].order\_number: 1

  • children.rental\_items\[0\].line\_number: 1

  • children.rental\_items\[0\].toolbox\_number: 1

  • children.rental\_items\[0\].equipment\_name: 1

  • children.rental\_items\[0\].category: 1

  • children.rental\_items\[0\].included\_items\_text: 1

  • children.rental\_items\[0\].rate\_per\_day: 1

  • children.rental\_items\[0\].days: 1

  • children.rental\_items\[0\].subtotal: 1

  • children.rental\_items\[0\].qr\_value: 1

  • children.rental\_items\[0\].expected\_return\_at: 2026-05-14T22:43:20Z

  • children.rental\_items\[0\].rental\_item\_status: 1

  • children.rental\_items\[0\].created\_at: 2026-05-14T22:43:20Z

  • children.rental\_items\[0\].updated\_at: 2026-05-14T22:43:20Z

  • children.rental\_items\[0\].is\_active: True

  • children.rental\_items\[0\].is\_deleted: True

  • children.rental\_items\[0\].deleted\_at: 2026-05-14T22:43:20Z

  • children.rental\_items\[0\].idempotency\_key: 1

  • children.rental\_items\[0\].schema\_version: 1

  • children.rental\_items\[0\].version: 1

Payload Schema

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.rental_id.type": "S",
  "root.attributes.rental_id.required": "True",
  "root.attributes.rental_id.format": "uuidv4",
  "root.attributes.rental_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.store_id.type": "S",
  "root.attributes.store_id.required": "False",
  "root.attributes.store_id.format": "uuidv4",
  "root.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.entity_number.type": "S",
  "root.attributes.entity_number.required": "False",
  "root.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.order_number.type": "S",
  "root.attributes.order_number.required": "False",
  "root.attributes.order_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.cashier_name.type": "S",
  "root.attributes.cashier_name.required": "False",
  "root.attributes.cashier_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.terminal_name.type": "S",
  "root.attributes.terminal_name.required": "False",
  "root.attributes.terminal_name.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.customer_id.type": "S",
  "root.attributes.customer_id.required": "False",
  "root.attributes.customer_id.format": "uuidv4",
  "root.attributes.customer_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.customer_code.type": "S",
  "root.attributes.customer_code.required": "False",
  "root.attributes.customer_code.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.customer_name.type": "S",
  "root.attributes.customer_name.required": "False",
  "root.attributes.customer_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.customer_mobile_number.type": "S",
  "root.attributes.customer_mobile_number.required": "False",
  "root.attributes.customer_mobile_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.customer_address.type": "S",
  "root.attributes.customer_address.required": "False",
  "root.attributes.customer_address.regex": "^.{1,300}$",
  "root.attributes.customer_government_id_type.type": "S",
  "root.attributes.customer_government_id_type.required": "False",
  "root.attributes.customer_government_id_type.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.customer_government_id_number.type": "S",
  "root.attributes.customer_government_id_number.required": "False",
  "root.attributes.customer_government_id_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.deposit.type": "N",
  "root.attributes.deposit.required": "False",
  "root.attributes.deposit.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.gross_total.type": "N",
  "root.attributes.gross_total.required": "False",
  "root.attributes.gross_total.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.total_due.type": "N",
  "root.attributes.total_due.required": "False",
  "root.attributes.total_due.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.expected_return_at.type": "S",
  "root.attributes.expected_return_at.required": "False",
  "root.attributes.expected_return_at.format": "iso8601",
  "root.attributes.expected_return_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.rental_status.type": "S",
  "root.attributes.rental_status.required": "False",
  "root.attributes.rental_status.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.print_status.type": "S",
  "root.attributes.print_status.required": "False",
  "root.attributes.print_status.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.printed_at.type": "S",
  "root.attributes.printed_at.required": "False",
  "root.attributes.printed_at.format": "iso8601",
  "root.attributes.printed_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.printer_device_id.type": "S",
  "root.attributes.printer_device_id.required": "False",
  "root.attributes.printer_device_id.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.printer_device_name.type": "S",
  "root.attributes.printer_device_name.required": "False",
  "root.attributes.printer_device_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.sync_status.type": "S",
  "root.attributes.sync_status.required": "False",
  "root.attributes.sync_status.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.sync_attempt_count.type": "N",
  "root.attributes.sync_attempt_count.required": "False",
  "root.attributes.sync_attempt_count.regex": "^\\d+$",
  "root.attributes.created_at.type": "S",
  "root.attributes.created_at.required": "False",
  "root.attributes.created_at.format": "iso8601",
  "root.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.updated_at.type": "S",
  "root.attributes.updated_at.required": "False",
  "root.attributes.updated_at.format": "iso8601",
  "root.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.is_active.type": "BOOL",
  "root.attributes.is_active.required": "False",
  "root.attributes.is_active.regex": "^(true|false)$",
  "root.attributes.is_deleted.type": "BOOL",
  "root.attributes.is_deleted.required": "False",
  "root.attributes.is_deleted.regex": "^(true|false)$",
  "root.attributes.deleted_at.type": "S",
  "root.attributes.deleted_at.required": "False",
  "root.attributes.deleted_at.format": "iso8601",
  "root.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.idempotency_key.type": "S",
  "root.attributes.idempotency_key.required": "False",
  "root.attributes.idempotency_key.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.schema_version.type": "N",
  "root.attributes.schema_version.required": "False",
  "root.attributes.schema_version.regex": "^\\d+$",
  "root.attributes.version.type": "N",
  "root.attributes.version.required": "False",
  "root.attributes.version.regex": "^\\d+$",
  "root.attributes.children.type": "M",
  "root.attributes.children.required": "False",
  "root.attributes.children.attributes.rental_items.type": "L",
  "root.attributes.children.attributes.rental_items.required": "False",
  "root.attributes.children.attributes.rental_items.items.type": "M",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_item_id.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_item_id.required": "True",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_item_id.format": "uuidv4",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_id.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_id.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_id.format": "uuidv4",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.rental_items.items.attributes.store_id.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.store_id.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.store_id.format": "uuidv4",
  "root.attributes.children.attributes.rental_items.items.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.rental_items.items.attributes.toolbox_id.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.toolbox_id.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.toolbox_id.format": "uuidv4",
  "root.attributes.children.attributes.rental_items.items.attributes.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.rental_items.items.attributes.entity_number.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.entity_number.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.rental_items.items.attributes.order_number.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.order_number.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.order_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.rental_items.items.attributes.line_number.type": "N",
  "root.attributes.children.attributes.rental_items.items.attributes.line_number.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.line_number.regex": "^\\d+$",
  "root.attributes.children.attributes.rental_items.items.attributes.toolbox_number.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.toolbox_number.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.toolbox_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.rental_items.items.attributes.equipment_name.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.equipment_name.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.equipment_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.children.attributes.rental_items.items.attributes.category.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.category.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.category.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.rental_items.items.attributes.included_items_text.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.included_items_text.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.included_items_text.regex": "^.{0,500}$",
  "root.attributes.children.attributes.rental_items.items.attributes.rate_per_day.type": "N",
  "root.attributes.children.attributes.rental_items.items.attributes.rate_per_day.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.rate_per_day.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.children.attributes.rental_items.items.attributes.days.type": "N",
  "root.attributes.children.attributes.rental_items.items.attributes.days.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.days.regex": "^\\d+$",
  "root.attributes.children.attributes.rental_items.items.attributes.subtotal.type": "N",
  "root.attributes.children.attributes.rental_items.items.attributes.subtotal.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.subtotal.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.children.attributes.rental_items.items.attributes.qr_value.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.qr_value.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.qr_value.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.rental_items.items.attributes.expected_return_at.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.expected_return_at.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.expected_return_at.format": "iso8601",
  "root.attributes.children.attributes.rental_items.items.attributes.expected_return_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_item_status.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_item_status.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.rental_item_status.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.rental_items.items.attributes.created_at.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.created_at.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.created_at.format": "iso8601",
  "root.attributes.children.attributes.rental_items.items.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.children.attributes.rental_items.items.attributes.updated_at.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.updated_at.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.updated_at.format": "iso8601",
  "root.attributes.children.attributes.rental_items.items.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.children.attributes.rental_items.items.attributes.is_active.type": "BOOL",
  "root.attributes.children.attributes.rental_items.items.attributes.is_active.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.is_active.regex": "^(true|false)$",
  "root.attributes.children.attributes.rental_items.items.attributes.is_deleted.type": "BOOL",
  "root.attributes.children.attributes.rental_items.items.attributes.is_deleted.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.is_deleted.regex": "^(true|false)$",
  "root.attributes.children.attributes.rental_items.items.attributes.deleted_at.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.deleted_at.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.deleted_at.format": "iso8601",
  "root.attributes.children.attributes.rental_items.items.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.children.attributes.rental_items.items.attributes.idempotency_key.type": "S",
  "root.attributes.children.attributes.rental_items.items.attributes.idempotency_key.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.idempotency_key.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.rental_items.items.attributes.schema_version.type": "N",
  "root.attributes.children.attributes.rental_items.items.attributes.schema_version.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.schema_version.regex": "^\\d+$",
  "root.attributes.children.attributes.rental_items.items.attributes.version.type": "N",
  "root.attributes.children.attributes.rental_items.items.attributes.version.required": "False",
  "root.attributes.children.attributes.rental_items.items.attributes.version.regex": "^\\d+$"
}

Response Schema

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.is_accepted.type": "BOOL",
  "root.attributes.is_accepted.required": "True",
  "root.attributes.message.type": "S",
  "root.attributes.message.required": "True",
  "root.attributes.request_id.type": "S",
  "root.attributes.request_id.required": "False"
}

Request Payload

{
  "rental_id": "7543eb36-edad-46bd-84ae-0268f57a07fb",
  "store_id": "f80b79c4-749b-4b6f-a851-d53715181f63",
  "entity_number": "1",
  "order_number": "1",
  "cashier_name": "1",
  "terminal_name": "1",
  "customer_id": "15abe94d-fa56-4642-8193-4351c8033a00",
  "customer_code": "1",
  "customer_name": "1",
  "customer_mobile_number": "1",
  "customer_address": "1",
  "customer_government_id_type": "1",
  "customer_government_id_number": "1",
  "deposit": "1",
  "gross_total": "1",
  "total_due": "1",
  "expected_return_at": "2026-05-14T22:43:20Z",
  "rental_status": "1",
  "print_status": "1",
  "printed_at": "2026-05-14T22:43:20Z",
  "printer_device_id": "1",
  "printer_device_name": "1",
  "sync_status": "1",
  "sync_attempt_count": "1",
  "created_at": "2026-05-14T22:43:20Z",
  "updated_at": "2026-05-14T22:43:20Z",
  "is_active": "True",
  "is_deleted": "True",
  "deleted_at": "2026-05-14T22:43:20Z",
  "idempotency_key": "1",
  "schema_version": "1",
  "version": "1",
  "children.rental_items[0].rental_item_id": "f3477708-fa98-4f51-8e33-27f77d35dfe2",
  "children.rental_items[0].rental_id": "7543eb36-edad-46bd-84ae-0268f57a07fb",
  "children.rental_items[0].store_id": "f80b79c4-749b-4b6f-a851-d53715181f63",
  "children.rental_items[0].toolbox_id": "ccb00721-6479-4c14-be47-c021b95aa31a",
  "children.rental_items[0].entity_number": "1",
  "children.rental_items[0].order_number": "1",
  "children.rental_items[0].line_number": "1",
  "children.rental_items[0].toolbox_number": "1",
  "children.rental_items[0].equipment_name": "1",
  "children.rental_items[0].category": "1",
  "children.rental_items[0].included_items_text": "1",
  "children.rental_items[0].rate_per_day": "1",
  "children.rental_items[0].days": "1",
  "children.rental_items[0].subtotal": "1",
  "children.rental_items[0].qr_value": "1",
  "children.rental_items[0].expected_return_at": "2026-05-14T22:43:20Z",
  "children.rental_items[0].rental_item_status": "1",
  "children.rental_items[0].created_at": "2026-05-14T22:43:20Z",
  "children.rental_items[0].updated_at": "2026-05-14T22:43:20Z",
  "children.rental_items[0].is_active": "True",
  "children.rental_items[0].is_deleted": "True",
  "children.rental_items[0].deleted_at": "2026-05-14T22:43:20Z",
  "children.rental_items[0].idempotency_key": "1",
  "children.rental_items[0].schema_version": "1",
  "children.rental_items[0].version": "1"
}

Response

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.is_accepted.type": "BOOL",
  "root.attributes.is_accepted.required": "True",
  "root.attributes.message.type": "S",
  "root.attributes.message.required": "True",
  "root.attributes.request_id.type": "S",
  "root.attributes.request_id.required": "False"
}

CMD curl

curl -X PATCH "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-patch-one" -H "Content-Type: application/json" --data-raw "{\"rental_id\": \"7543eb36-edad-46bd-84ae-0268f57a07fb\", \"store_id\": \"f80b79c4-749b-4b6f-a851-d53715181f63\", \"entity_number\": \"1\", \"order_number\": \"1\", \"cashier_name\": \"1\", \"terminal_name\": \"1\", \"customer_id\": \"15abe94d-fa56-4642-8193-4351c8033a00\", \"customer_code\": \"1\", \"customer_name\": \"1\", \"customer_mobile_number\": \"1\", \"customer_address\": \"1\", \"customer_government_id_type\": \"1\", \"customer_government_id_number\": \"1\", \"deposit\": 1, \"gross_total\": 1, \"total_due\": 1, \"expected_return_at\": \"2026-05-14T22:43:20Z\", \"rental_status\": \"1\", \"print_status\": \"1\", \"printed_at\": \"2026-05-14T22:43:20Z\", \"printer_device_id\": \"1\", \"printer_device_name\": \"1\", \"sync_status\": \"1\", \"sync_attempt_count\": 1, \"created_at\": \"2026-05-14T22:43:20Z\", \"updated_at\": \"2026-05-14T22:43:20Z\", \"is_active\": true, \"is_deleted\": true, \"deleted_at\": \"2026-05-14T22:43:20Z\", \"idempotency_key\": \"1\", \"schema_version\": 1, \"version\": 1, \"children\": {\"rental_items\": [{\"rental_item_id\": \"f3477708-fa98-4f51-8e33-27f77d35dfe2\", \"rental_id\": \"7543eb36-edad-46bd-84ae-0268f57a07fb\", \"store_id\": \"f80b79c4-749b-4b6f-a851-d53715181f63\", \"toolbox_id\": \"ccb00721-6479-4c14-be47-c021b95aa31a\", \"entity_number\": \"1\", \"order_number\": \"1\", \"line_number\": 1, \"toolbox_number\": \"1\", \"equipment_name\": \"1\", \"category\": \"1\", \"included_items_text\": \"1\", \"rate_per_day\": 1, \"days\": 1, \"subtotal\": 1, \"qr_value\": \"1\", \"expected_return_at\": \"2026-05-14T22:43:20Z\", \"rental_item_status\": \"1\", \"created_at\": \"2026-05-14T22:43:20Z\", \"updated_at\": \"2026-05-14T22:43:20Z\", \"is_active\": true, \"is_deleted\": true, \"deleted_at\": \"2026-05-14T22:43:20Z\", \"idempotency_key\": \"1\", \"schema_version\": 1, \"version\": 1}]}}"

PowerShell curl

curl.exe -X PATCH "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-patch-one" -H "Content-Type: application/json" --data-raw '{"rental_id": "7543eb36-edad-46bd-84ae-0268f57a07fb", "store_id": "f80b79c4-749b-4b6f-a851-d53715181f63", "entity_number": "1", "order_number": "1", "cashier_name": "1", "terminal_name": "1", "customer_id": "15abe94d-fa56-4642-8193-4351c8033a00", "customer_code": "1", "customer_name": "1", "customer_mobile_number": "1", "customer_address": "1", "customer_government_id_type": "1", "customer_government_id_number": "1", "deposit": 1, "gross_total": 1, "total_due": 1, "expected_return_at": "2026-05-14T22:43:20Z", "rental_status": "1", "print_status": "1", "printed_at": "2026-05-14T22:43:20Z", "printer_device_id": "1", "printer_device_name": "1", "sync_status": "1", "sync_attempt_count": 1, "created_at": "2026-05-14T22:43:20Z", "updated_at": "2026-05-14T22:43:20Z", "is_active": true, "is_deleted": true, "deleted_at": "2026-05-14T22:43:20Z", "idempotency_key": "1", "schema_version": 1, "version": 1, "children": {"rental_items": [{"rental_item_id": "f3477708-fa98-4f51-8e33-27f77d35dfe2", "rental_id": "7543eb36-edad-46bd-84ae-0268f57a07fb", "store_id": "f80b79c4-749b-4b6f-a851-d53715181f63", "toolbox_id": "ccb00721-6479-4c14-be47-c021b95aa31a", "entity_number": "1", "order_number": "1", "line_number": 1, "toolbox_number": "1", "equipment_name": "1", "category": "1", "included_items_text": "1", "rate_per_day": 1, "days": 1, "subtotal": 1, "qr_value": "1", "expected_return_at": "2026-05-14T22:43:20Z", "rental_item_status": "1", "created_at": "2026-05-14T22:43:20Z", "updated_at": "2026-05-14T22:43:20Z", "is_active": true, "is_deleted": true, "deleted_at": "2026-05-14T22:43:20Z", "idempotency_key": "1", "schema_version": 1, "version": 1}]}}'